Bug 1454693 - Segmentation fault after clicking gnome-documents back button while presentation is being slowly loaded
Summary: Segmentation fault after clicking gnome-documents back button while presentat...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice   
(Show other bugs)
Version: 7.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-23 10:55 UTC by Martin Krajnak
Modified: 2017-08-01 12:21 UTC (History)
6 users (show)

Fixed In Version: libreoffice-5.0.6.2-14.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 12:21:15 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
presentation (641.96 KB, application/vnd.oasis.opendocument.presentation)
2017-05-23 10:55 UTC, Martin Krajnak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1975 normal SHIPPED_LIVE Moderate: libreoffice security and bug fix update 2017-08-01 16:04:51 UTC

Description Martin Krajnak 2017-05-23 10:55:01 UTC
Created attachment 1281454 [details]
presentation

Description of problem:
After presentation successfully loads, it starts to slowly render tile by tile. Clicking the back button while these tiles are being rendered to screen leads to segfault.

Version-Release number of selected component (if applicable):
gnome-documents-3.22.2-4.el7.x86_64

How reproducible:
always but some presentations which I tried rendered so quickly that I had no chance to reproduce 

Steps to Reproduce:
1.Open gnome-documents
2.Open provided presentation
3.Wait while progress bar at the top reaches the end
4.Get the mouse pointer ready on the back button
5.Quickly click the back button when presentation tiles start to render

Actual results:
[1]    30334 segmentation fault (core dumped)

Expected results:
document overview should be shown.

gdb output:
[Thread 0x7fb069104700 (LWP 32104) exited]
[New Thread 0x7fb069104700 (LWP 32193)]
[New Thread 0x7fb03dcfc700 (LWP 32194)]
[New Thread 0x7fb051ba2700 (LWP 32195)]
[New Thread 0x7fb03e4fd700 (LWP 32196)]
[Thread 0x7fb051ba2700 (LWP 32195) exited]
Detaching after fork from child process 32197.
[New Thread 0x7fb051ba2700 (LWP 32198)]
warning: Corrupted shared library list: 0x7fb03001e4e0 != 0x7fb03001aa80
[New Thread 0x7fb01e861700 (LWP 32200)]
[New Thread 0x7fb01e060700 (LWP 32201)]
[Thread 0x7fb01e060700 (LWP 32201) exited]
[Thread 0x7fb01e861700 (LWP 32200) exited]
[Thread 0x7fb051ba2700 (LWP 32198) exited]
[New Thread 0x7fb051ba2700 (LWP 32203)]
[Thread 0x7fb051ba2700 (LWP 32203) exited]
[New Thread 0x7fb051ba2700 (LWP 32205)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fb069104700 (LWP 32193)]
0x00007fb03f2dcee8 in paintTileInThread(void*) () from /lib64/liblibreofficekitgtk.so
(gdb) c
Continuing.
[Thread 0x7fb03e4fd700 (LWP 32196) exited]
[Thread 0x7fb051ba2700 (LWP 32205) exited]
[Thread 0x7fb03dcfc700 (LWP 32194) exited]
[Thread 0x7fb074d92700 (LWP 32099) exited]
[Thread 0x7fb06fbbe700 (LWP 32101) exited]
[Thread 0x7fb069104700 (LWP 32193) exited]
[Thread 0x7fb06f3bd700 (LWP 32102) exited]
[Thread 0x7fb06bd90700 (LWP 32103) exited]
[Thread 0x7fb04029b700 (LWP 32123) exited]
[Thread 0x7fb086ef1a40 (LWP 32098) exited]

Program terminated with signal SIGSEGV, Segmentation fault.
The program no longer exists.

Comment 1 Martin Krajnak 2017-05-23 10:58:28 UTC
Again I am not sure of the problem should be reported against Libreoffice or it can be fixed from gnome-documents side. What do you think, Debarshi ?

Comment 2 Vladimir Benes 2017-05-23 11:56:59 UTC
Could you provide `bt full` output from gdb after program crashed?

Comment 3 Martin Krajnak 2017-05-23 12:19:19 UTC
Program received signal SIGABRT, Aborted.
[Switching to Thread 0x7f35e9621700 (LWP 15198)]
0x00007f361a7a51f7 in raise () from /lib64/libc.so.6
(gdb) bt full
#0  0x00007f361a7a51f7 in raise () at /lib64/libc.so.6
#1  0x00007f361a7a68e8 in abort () at /lib64/libc.so.6
#2  0x00007f361b2c7ac5 in __gnu_cxx::__verbose_terminate_handler() () at /lib64/libstdc++.so.6
#3  0x00007f361b2c5a36 in  () at /lib64/libstdc++.so.6
#4  0x00007f361b2c5a63 in  () at /lib64/libstdc++.so.6
#5  0x00007f361b2c65cf in  () at /lib64/libstdc++.so.6
#6  0x00007f35d2b8ecb9 in doc_paintTile () at /usr/lib64/libreoffice/program/libsofficeapp.so
#7  0x00007f35d2ddcf48 in paintTileInThread(void*) () at /lib64/liblibreofficekitgtk.so
#8  0x00007f35d2ddd478 in lokThreadFunc(void*, void*) () at /lib64/liblibreofficekitgtk.so
#9  0x00007f361c6198bc in g_thread_pool_thread_proxy () at /lib64/libglib-2.0.so.0
#10 0x00007f361c618f20 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#11 0x00007f361ab3ae25 in start_thread () at /lib64/libpthread.so.0
#12 0x00007f361a86834d in clone () at /lib64/libc.so.6
(gdb)

Comment 4 Martin Krajnak 2017-05-23 12:45:14 UTC
please ignore the previous comment, I pasted the output from wrong terminal window. Altough I am not sure of the value of this output that's why I wanted to ask Debarshi first.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fbde2dfd700 (LWP 16562)]
0x00007fbde06376e4 in SfxViewFrame::GetFrame() const () from /usr/lib64/libreoffice/program/libsfxlo.so
(gdb) bt full
#0  0x00007fbde06376e4 in SfxViewFrame::GetFrame() const ()
    at /usr/lib64/libreoffice/program/libsfxlo.so
#1  0x00007fbde06390d1 in SfxViewFrame::MakeActive_Impl(bool) ()
    at /usr/lib64/libreoffice/program/libsfxlo.so
#2  0x00007fbe01e28ee0 in doc_setView () at /usr/lib64/libreoffice/program/libsofficeapp.so
#3  0x00007fbe02078d2f in paintTileInThread(void*) () at /lib64/liblibreofficekitgtk.so
#4  0x00007fbe02079478 in lokThreadFunc(void*, void*) () at /lib64/liblibreofficekitgtk.so
#5  0x00007fbe2d3bd8bc in g_thread_pool_thread_proxy () at /lib64/libglib-2.0.so.0
#6  0x00007fbe2d3bcf20 in g_thread_proxy () at /lib64/libglib-2.0.so.0
#7  0x00007fbe2b8dee25 in start_thread () at /lib64/libpthread.so.0
#8  0x00007fbe2b60c34d in clone () at /lib64/libc.so.6
(gdb)

Comment 8 Martin Krajnak 2017-06-20 11:24:10 UTC
Tested with:
gnome-documents-3.22.2-5.el7.x86_64
libreolibreoffice-5.0.6.2-14.el7.x86_64

I can't reproduce the crash anymore, moving to verified.

Comment 9 errata-xmlrpc 2017-08-01 12:21:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1975


Note You need to log in before you can comment on or make changes to this bug.